Subject: Re: linux-next: Tree for Feb 4

From: "Rafael J. Wysocki" <[email-masked]>
Date: Thu, 05 Feb 2015 00:30:01 +0100

On Wednesday, February 04, 2015 11:46:32 PM Sedat Dilek wrote:
> On Wed, Feb 4, 2015 at 10:54 PM, Rafael J. Wysocki <[email-masked]> wrote:
> > On Wednesday, February 04, 2015 09:18:03 PM Sedat Dilek wrote:
> >> On Wed, Feb 4, 2015 at 9:35 AM, Stephen Rothwell <[email-masked]> wrote:
> >> > Hi all,
> >> >
> >> > The next release I will be making will be next-20150209 - which will
> >> > probably be after the v3.19 release.
> >> >
> >> > Changes since 20150203:
> >> >
> >> > The sound-asoc tree gained a conflict against the sound tree.
> >> >
> >> > The scsi tree gained a build failure caused by an interaction with the
> >> > driver-core tree.  I applied a merge fix patch.
> >> >
> >> > The akpm-current tree gained a build failure for which I disabled
> >> > CONFIG_KASAN.
> >> >
> >> > Non-merge commits (relative to Linus' tree): 7461
> >> >  7314 files changed, 309736 insertions(+), 172363 deletions(-)
> >> >
> >> > ----------------------------------------------------------------------------
> >> >
> >>
> >> [ CC linux-rcu | linux-pm | intel_pstate maintainers ]
> >
> > Dirk is not the maintainer of intel_pstate any more, CC: Kristen.
> >
> >> Hi,
> >>
> >> after suspend-and-resume I see the following call-trace:
> >
> > Do you see that after CPU1 offline too?
> >
> 
> NO.
> 
> After...
> 
> root# echo 0 > /sys/devices/system/cpu/cpu1/online
> 
> ...I see this:
> 
> +[  707.936668] PM: Saving platform NVS memory
> +[  707.936674] Disabling non-boot CPUs ...
> +[  707.936712] intel_pstate CPU 2 exiting
> +[  707.938024] smpboot: CPU 2 didn't die...
> +[  707.949128] intel_pstate CPU 3 exiting
> +[  707.950369] smpboot: CPU 3 didn't die...
> +[  707.966248] ACPI: Low-level resume complete
> +[  707.966302] PM: Restoring platform NVS memory
> 
> Full dmesg attached.

The dmesg doesn't match what you said above.

Anyway, that's not what I meant.  Does the CPU1 offlining alone:

# echo 0 > /sys/devices/system/cpu/cpu1/online

trigger the trace?  It should.

-- 
I speak only for myself.
Rafael J. Wysocki, Intel Open Source Technology Center.